<?php

$session = $this->getSession();
$filter_html = new Yab_Filter_Html();
$pager = new Yab_Helper_Pager($roles, 'pager_role');

$roles = $pager->getStatement();

?>

<div class="table-responsive"><div id="optiontools"></div><table class="table table-striped table-bordered table-hover table-condensed table-responsive">
	<caption>Role</caption>
	<thead>
		<tr>
			<td><?php echo $pager->getSortLink('id'); ?></td>
			<td><?php echo $pager->getSortLink('role'); ?></td>
			<td><?php echo $pager->getSortLink('visible'); ?></td>
			<td colspan="2">#</td>
		</tr>
	</thead>
	<tbody>
	<?php foreach($roles as $role): ?>
		<tr>
			<td<?php echo $pager->getClass($roles); ?>><?php echo $role->get('id', $filter_html); ?></td>
			<td<?php echo $pager->getClass($roles); ?>><?php echo $role->get('role', $filter_html); ?></td>
			<td<?php echo $pager->getClass($roles); ?>><?php echo $role->get('visible', $filter_html); ?></td>
			<td<?php echo $pager->getClass($roles); ?>><a href="<?php echo $this->getRequest('Role', 'edit', $role->getPrimary()); ?>"><img src="<?php echo $request->getBaseUrl(); ?>/images/edit.png" alt="Editer" title="Editer" /></a></td>
			<td<?php echo $pager->getClass($roles); ?>><a href="<?php echo $this->getRequest('Role', 'delete', $role->getPrimary()); ?>"><img src="<?php echo $request->getBaseUrl(); ?>/images/delete.png" alt="Supprimer" title="Supprimer" /></a></td>
		</tr>
	<?php endforeach; ?>
	</tbody>
	<tfoot>
		<tr>
			<td colspan="5"><?php echo $pager->getPagination(); ?></td>
		</tr>
		<tr>
			<td colspan="5">
				<a href="<?php echo $this->getRequest('Role', 'add'); ?>" class="btn btn-primary">Ajouter</a>
				<a href="<?php echo $this->getRequest('Index', 'index'); ?>" class="btn btn-default" >Retour &agrave; index</a>
			</td>
		</tr>
	</tfoot>
</table></div>